summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh2
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/ndp.sh33
2 files changed, 34 insertions, 1 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh b/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh
index 8a1ac51..06f355b 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh
@@ -33,7 +33,7 @@ function test_basic_no_odl
echo "set int ip address del host-intervpp2 6:0:3::2/64" | nc 0 5003
echo "set int ip address host-intervpp2 6:0:3::20/64" | nc 0 5003
- if [ ${3} == "switch_rlocs" ] ; then
+ if [ "${3}" == "switch_rlocs" ] ; then
echo "lisp remote-mapping del vni 0 eid 6.0.2.0/24" | nc 0 5002
echo "lisp remote-mapping add vni 0 eid 6.0.2.0/24 rloc 6:0:3::20" | nc 0 5002
echo "lisp remote-mapping del vni 0 eid 6:0:2::0/64" | nc 0 5002
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/ndp.sh b/tests/data_plane/vpp_lite_topo/test_driver/ndp.sh
new file mode 100644
index 0000000..5280c67
--- /dev/null
+++ b/tests/data_plane/vpp_lite_topo/test_driver/ndp.sh
@@ -0,0 +1,33 @@
+source config.sh
+source odl_utils.sh
+source topologies/3_node_star.sh
+
+if [ "$1" == "clean" ] ; then
+ 3_node_star_topo_clean no_odl
+ exit 0
+fi
+
+if [[ $(id -u) != 0 ]]; then
+ echo "Error: run this as root."
+ exit 1
+fi
+
+function send_icmp_from_namespace
+{
+ ip netns exec "$1" "$2" -w 15 -c 1 "$3"
+}
+
+
+function test_neighbor_discovery
+{
+ 3_node_star_topo_setup no_odl no_arp
+
+ maybe_pause
+ send_icmp_from_namespace vpp-ns5 "$1" "$2"
+ rc=$?
+
+ maybe_pause
+ 3_node_star_topo_clean no_odl
+ print_status $rc "No ICMP response!"
+ exit $test_result
+}